package de.bsvrz.sys.funclib.bitctrl.modell.util;

import java.util.Date;

/**
 * Interface, welches von Klassen implementiert werden kann, die über einen
 * Definition eines Zeitbereiches verfügen.
 * 
 * @author BitCtrl Systems GmbH, Andreas Meissner
 * @version $Id: UebernehmeSystemKalenderZeitbereichAction.java 23342 2010-05-27
 *          09:03:26Z peuker $
 */
public interface ObjektMitZeitBereich {

	/**
	 * Setzt den Startzeitpunkt des Zeitbereiches.
	 * 
	 * @param startZeit
	 *            der neue Startzeitpunkt des Zeitbereiches
	 */
	void setStartZeit(Date startZeit);

	/**
	 * Setzt den Endzeitpunkt des Zeitbereiches.
	 * 
	 * @param endZeit
	 *            der neue Endzeitpunkt des Zeitbereiches
	 */
	void setEndZeit(Date endZeit);
}
