/*
 * Allgemeine Funktionen mit und ohne Datenverteilerbezug
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.sys.funclib.bitctrl.modell.util.benutzer;

import java.util.EventListener;

/**
 * Listener für das Anmelden und Abmelden von Benutzern am Datenverteiler.
 * 
 * @author BitCtrl Systems GmbH, Schumann
 * @version $Id: LoginListener.java 11203 2008-08-19 15:15:43Z Schumann $
 */
public interface LoginListener extends EventListener {

	/**
	 * Wird aufgerufen, wenn sich ein Benutzer angemeldet hat.
	 * 
	 * @param e
	 *            das entsprechende Event.
	 */
	void angemeldet(LoginEvent e);

	/**
	 * Wird aufgerufen, wenn sich ein Benutzer abgemeldet hat.
	 * 
	 * @param e
	 *            das entsprechende Event.
	 */
	void abgemeldet(LoginEvent e);

}
